<?php global $post;
if ( !defined('ABSPATH') ) { die(); }

$vars = array(
    'title' => get_sub_field('title'),
    'type' => get_sub_field('display_type'),
);

switch ($vars['type']) {
    default :
        $args = array(
            'post_type' => 'post',
            'post_per_page' => 3,
        );
    break;
    case 2 : 
        $posts = get_sub_field('posts_to_feature');
        $args = array(
            'post_type' => 'post',
            'posts_per_page' => 9001,
            'post__in' => $posts,
        );
    break;
}

$query = new WP_Query($args);

?>

<section class="wrapper margin_wrap">
    <div class="cqc flex_wrap">
        <div class="title_cc standard_title_cc" data-aos="fade-up" data-aos-duration="1000">
            <span><?=$vars['title'];?></span>
        </div>
        <?php 
            if ( $query -> have_posts() ) :
                while ( $query -> have_posts() ) : $query -> the_post();
                    get_template_part('templates/posts/single');
                endwhile; wp_reset_postdata(); 
            endif;
        ?>
    </div>
</section>


<script>
$(document).ready(function () {
    var initcw = $('.ct_block').width();
    $('.ct_overlay').css({'height':initcw+'px'});

    $( window ).resize(function() {
        var cw = $('.ct_block').width();
        $('.ct_overlay').css({'height':cw+'px'});
    });

    $('.ct_block').hover(function () {
        $(this).children().first().addClass('ct_overlay_active');
            
    }, function () {
        $(this).children().first().removeClass('ct_overlay_active');
    });

});
</script>