<?php global $post;
if ( !defined('ABSPATH') ) { die(); }

$vars = array(
    'logo' => get_field('logo', 'option'),
    'sm' => get_field('social_media_profiles', 'option'),
    'sos' => get_field('include_sos_button', 'option'),
    'nav' => get_field('main_navigation', 'option'),
    'under' => get_field('below_nav_text', 'option'),
);

?>

<section class="wrapper mobile_nav_wrap">
    <div class="flex_wrap cqc">
        <div class="m_logo">
            <a href="<?=site_url();?>">
                <img src="<?=$vars['logo'];?>" alt="UNITAS LOGO"/>
            </a>
        </div>
        <div class="m_nav">
            <i class="fas fa-bars"></i>
        </div>
    </div>
</section>

<section class="mobile_popout">
    <div class="mobile_popout_inner">
        <div class="close_m_nav">
            <i class="fas fa-times"></i>
        </div>
        <div class="m_nav_top">
            <span class="mobile_title">Welcome To UNITAS</span>
            <span class="mobile_subtitle">How can we help?</span>
        </div>
        <div class="m_nav_items">
            <?php
                if ( is_array($vars['nav']) ) {
                    foreach ( $vars['nav'] as $nav ) {
                        echo '<a href="' . $nav['menu_target'] . '">' . $nav['menu_text'] . '</a>';
                    }
                }
            ?>
        </div>
        <div class="m_other">
            <?php
                if ( $vars['sos'] ) {
                        echo '<a class="m_sos_link" target="_blank" href="tel:08000502600">SOS - Emergency Protection</a>';
                    }
                if ( is_array($vars['sm']) ) {
                    foreach ( $vars['sm'] as $sm ) {
                        echo '<a class="m_sm" target="_blank" href="' . $sm['profile_link'] . '">' . $sm['icon'] . '</a>';
                    }
                }
            ?>
            <div class="mob_bottom">
                <?=$vars['under'];?>
            </div>
        </div>
    </div>
</section>

<script>
    $(document).ready(function () {
        $('.m_nav').click(function (e) { 
            e.preventDefault();
            $('.mobile_popout').addClass('m_pop_active');
        });

        $('.mobile_popout').click(function (e) { 
            e.preventDefault();
            $('.mobile_popout').removeClass('m_pop_active');
        });   

        $('.mobile_popout a').click(function (e) { 
            e.preventDefault();
            window.location.href = $(this).attr('href');
        });
        

        $('.close_m_nav').click(function (e) { 
            e.preventDefault();
            $('.mobile_popout').removeClass('m_pop_active');
        });
    });
</script>